Get Metric Details

Retrieve the latest details of ESG metrics based on Reporting Period.

Example Request

POST https://{hostname}/api/esg-management/v1/metrics/metric-details

POST https://trial-onetrust-com.libproxy.cpce-polyu.edu.hk/api/esg-management/v1/metrics/metric-details

Below are the examples of request body to retrieve Metric Details.

{
  "startDate": "2019-01-01",
  "endDate": "2019-12-31"
}
{
   "allTimeOption": "ESG.Metric.MetricData.AllTimeReportingPeriodOption"
}
❗️

End of Support Notification

As of June 8, 2025, these APIs are now deprecated. For more information, see OneTrust API Sunsetting & Deprecation Guidelines.

Use this API to retrieve the latest details for ESG metrics for the specified reporting period.

Body Params
string
Defaults to ESG.Metric.MetricData.AllTimeReportingPeriodOption

The reporting period option that includes all metric data from the beginning.

date

The start date of the reporting period. If a value is entered for both the allTimeOption and startDate parameters, the API will default to the allTimeOption and return metric data from the beginning.

date

The end date of the reporting period. If a value is entered for both the allTimeOption and endDate parameters, the API will default to the allTimeOption and return metric data from the beginning.

Responses

400

Bad Request

401

Unauthorized

403

Forbidden

429

Too Many Requests

500

Internal Server Error

Language
Credentials
OAuth2
Missing 1 required scope
URL
Response
Choose an example:
application/json